# Set Variables 
XF86_LIB_DIR="/usr/X11/lib/modules"
XF86_DRV_DIR="/usr/X11/lib/modules/drivers"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST2000/2100 Solaris XORG driver uninstall begin ...."
rm -f $XF86_DRV_DIR/ast_drv.*
rm -f $XF86_LIB_DIR/libddc.*
rm -f $XF86_LIB_DIR/libfb.*
rm -f $XF86_LIB_DIR/libint10.*
rm -f $XF86_LIB_DIR/libramdac.*
rm -f $XF86_LIB_DIR/libvbe.*
rm -f $XF86_LIB_DIR/libvgahw.*
rm -f $XF86_LIB_DIR/libxaa.*

test -f ./backup/ast_drv.* && cp -f ./backup/ast_drv.*   $XF86_DRV_DIR/ast_drv.*
cp -f ./backup/libddc.so    $XF86_LIB_DIR/libddc.so
cp -f ./backup/libfb.so     $XF86_LIB_DIR/libfb.so
cp -f ./backup/libint10.so  $XF86_LIB_DIR/libint10.so
cp -f ./backup/libramdac.so $XF86_LIB_DIR/libramdac.so
cp -f ./backup/libvbe.so    $XF86_LIB_DIR/libvbe.so
cp -f ./backup/libvgahw.so  $XF86_LIB_DIR/libvgahw.so
cp -f ./backup/libxaa.so    $XF86_LIB_DIR/libxaa.so

rm -rf ./backup
echo "AST2000/2100 Solaris XORG driver Uninstall Finished"
exit 0
fi


# Install
echo "AST2000/2100 Solaris XORG driver update begin ...."
rm -rf ./backup
mkdir ./backup
test -f $XF86_DRV_DIR/ast_drv.* && cp -f $XF86_DRV_DIR/ast_drv.* ./backup
cp -f $XF86_LIB_DIR/libddc.* ./backup
cp -f $XF86_LIB_DIR/libfb.* ./backup
cp -f $XF86_LIB_DIR/libint10.* ./backup
cp -f $XF86_LIB_DIR/libramdac.* ./backup
cp -f $XF86_LIB_DIR/libvbe.* ./backup
cp -f $XF86_LIB_DIR/libvgahw.* ./backup
cp -f $XF86_LIB_DIR/libxaa.* ./backup

rm -f $XF86_DRV_DIR/ast_drv.*
rm -f $XF86_LIB_DIR/libddc.*
rm -f $XF86_LIB_DIR/libfb.*
rm -f $XF86_LIB_DIR/libint10.*
rm -f $XF86_LIB_DIR/libramdac.*
rm -f $XF86_LIB_DIR/libvbe.*
rm -f $XF86_LIB_DIR/libvgahw.*
rm -f $XF86_LIB_DIR/libxaa.*

cp -f ast_drv.so   $XF86_DRV_DIR/ast_drv.so
cp -f libddc.so    $XF86_LIB_DIR/libddc.so
cp -f libfb.so     $XF86_LIB_DIR/libfb.so
cp -f libint10.so  $XF86_LIB_DIR/libint10.so
cp -f libramdac.so $XF86_LIB_DIR/libramdac.so
cp -f libvbe.so    $XF86_LIB_DIR/libvbe.so
cp -f libvgahw.so  $XF86_LIB_DIR/libvgahw.so
cp -f libxaa.so    $XF86_LIB_DIR/libxaa.so

echo "AST2000/2100 Solaris XORG driver update finished"

